/*
  AmpSensor.c - Library for retreiving measurement
  from LMP91000 chip via I2C. Pin number of input in 
  class definition.
  
  Version #: 1.0
  Adapted from AmpSensor.cpp
*/

#ifndef AmpSensor_h
#define AmpSensor_h
#include <common.h>
#include <math.h>
#include <I2Ccom.h>

void AmpSensor(int8 pin, float ref);
float internalGain(float gainResistor, int loadResistor);
void externalGain(int loadResistor);
void setReference(float ref);
void sleep();
    
float setBias(float bias);
float ambientTemp();
float conductivity();
float testStage();
float rawVoltage();
int chipStatus();

int8 _pin;
float _vRef;
float _bias;
int8 _biasCommand;
    
void lockControl();
void unlockControl();

#endif
