/*****************************************************************************
* File Name: BleApplications.h
*
* Version: 1.0
*
* Description:
* This file defines the macros and function prototypes for BLE functionality.
*
* Hardware Dependency:
* CY8CKIT-042 BLE Pioneer Kit

*****************************************************************************/

#if !defined(_BLE_APPLICATIONS_H)
#define _BLE_APPLICATIONS_H

/*****************************************************************************
* Included headers
*****************************************************************************/
#include <project.h>
#include "stdbool.h"
    #include "define.h"

/*****************************************************************************
* Macros 
*****************************************************************************/
/* Minimum connection interval = CONN_PARAM_UPDATE_MIN_CONN_INTERVAL * 1.25 ms*/
#define CONN_PARAM_UPDATE_MIN_CONN_INTERVAL	100        	
/* Maximum connection interval = CONN_PARAM_UPDATE_MAX_CONN_INTERVAL * 1.25 ms */
#define CONN_PARAM_UPDATE_MAX_CONN_INTERVAL	110        	
/* Slave latency = Number of connection events */
#define CONN_PARAM_UPDATE_SLAVE_LATENCY		0          
/* Supervision timeout = CONN_PARAM_UPDATE_SUPRV_TIMEOUT * 10*/
#define CONN_PARAM_UPDATE_SUPRV_TIMEOUT		200     
    
    
//#define CAPSENSE_SERVICE_INDEX          (CYBLE_CAPSENSE_SERVICE_SERVICE_INDEX)
//#define RGB_LED_SERVICE_INDEX           (CYBLE_LED_SERVICE_SERVICE_INDEX)

//#define CAPSENSE_SLIDER_CHAR_INDEX      (CYBLE_CAPSENSE_SERVICE_CAPSENSE_SLIDER_CHARACTERISTIC_CHAR_INDEX)
//#define RGB_LED_CHAR_INDEX              (CYBLE_LED_SERVICE_LED_CHARACTERISTIC_CHAR_INDEX)
//#define CAPSENSE_SLIDER_CHAR_HANDLE		(CYBLE_CAPSENSE_SERVICE_CAPSENSE_SLIDER_CHARACTERISTIC_CHAR_HANDLE)
//#define RGB_LED_CHAR_HANDLE				(CYBLE_LED_SERVICE_LED_CHARACTERISTIC_CHAR_HANDLE)

//#define CAPSENSE_CCC_HANDLE				(CYBLE_CAPSENSE_SERVICE_CAPSENSE_SLIDER_CHARACTERISTIC_CLIENT_CHARACTERISTIC_CONFIGURATION_DESC_HANDLE)

//#define CAPSENSE_SLIDER_CCC_INDEX		(CYBLE_CAPSENSE_SERVICE_CAPSENSE_SLIDER_CHARACTERISTIC_CLIENT_CHARACTERISTIC_CONFIGURATION_DESC_INDEX)
//#define CCC_DATA_INDEX					(0u)
    
//#define PRESSURE_SERVICE_INDEX      (CYBLE_BIOLINQ_SERVICE_SERVICE_INDEX)
//#define PRESSURE_CHAR_INDEX         (CYBLE_BIOLINQ_SERVICE_BAR_PRESSURE_CHAR_INDEX)
//#define PRESSURE_CHAR_HANDLE        (CYBLE_BIOLINQ_SERVICE_BAR_PRESSURE_CHAR_HANDLE)
    
#define NECTAR_SERVICE_INDEX            (CYBLE_NECTAR_INFORMATIONAL_SUITE_SERVICE_INDEX)
#define MEASUREMENT_CHAR_INDEX          (CYBLE_NECTAR_INFORMATIONAL_SUITE_MEASUREMENT_CHAR_INDEX)
#define MEASUREMENT_CHAR_HANDLE         (CYBLE_NECTAR_INFORMATIONAL_SUITE_MEASUREMENT_CHAR_HANDLE)
    
#define RX_CHAR_INDEX                   (CYBLE_NECTAR_INFORMATIONAL_SUITE_RX_CHAR_INDEX)
#define RX_CHAR_HANDLE                  (CYBLE_NECTAR_INFORMATIONAL_SUITE_RX_CHAR_HANDLE)
    
#define CONNECTED_TIMER_INDEX           (CYBLE_NECTAR_INFORMATIONAL_SUITE_CONNECTED_TIMER_CHAR_INDEX)
#define REFERENCE_CONTROL_INDEX         (CYBLE_NECTAR_INFORMATIONAL_SUITE_REFERENCE_CONTROL_CHAR_INDEX)
#define BIAS_CONTROL_INDEX              (CYBLE_NECTAR_INFORMATIONAL_SUITE_BIAS_CONTROL_CHAR_INDEX)

#define BLE_STATE_ADVERTISING			(0x01)
#define BLE_STATE_CONNECTED				(0x02)
#define BLE_STATE_DISCONNECTED			(0x00)

#define PASSIVE_LED_STATUS				(0xFF)

#define LED_ADV_BLINK_PERIOD			(40000)
#define LED_CONN_ON_PERIOD				(145000)

#define MTU_XCHANGE_DATA_LEN			(0x0020)


/*****************************************************************************
* Extern variables
*****************************************************************************/
extern uint8 deviceConnected;
extern uint8 sendCapSenseSliderNotifications;
extern bool enterHibernateFlag;
static uint8 isConnectionUpdateRequested = TRUE;

/*****************************************************************************
* Public functions
*****************************************************************************/
void CustomEventHandler(uint32 event, void * eventParam);
void UpdateRGBled(void);

#endif  /* #if !defined(_BLE_APPLICATIONS_H) */

/* [] END OF FILE */
