/******************************************************************************
* Project Name		: PSoC_4_BLE_Pressure_Sensor
* File Name			: I2CMaster.h
* Version 			: 1.0
* Device Used		: CY8C4247LQI-BL483
* Software Used		: PSoC Creator 3.1
* Compiler    		: ARM GCC 4.8.4
* Related Hardware	: CY8CKIT-042-BLE Bluetooth Low Energy Pioneer Kit
*******************************************************************************/

#if !defined(BMP180)
#define BMP180
#include <common.h>
#include <math.h>

/*************************Macro Definition**********************************/
#define I2CSlaveAddress 0x77 //BMP180 Pressure Sensor I2C address
#define OSS 0x03 //Oversampling setting for ultra high resolution
/*****************************************************************************/

/*************************Function Prototypes*******************************/
void ReadSensorCalibrationData(void);
void ReadUncompensatedTemperature(void);
void ReadUncompensatedPressure(void);
void ReadAndCalculateSensorData(void);
long ReturnTemperature(void);
long ReturnPressure(void);
/*****************************************************************************/
#endif
/* [] END OF FILE */
