/*******************************************************************************
* File Name: ADCin.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ADCin_H) /* Pins ADCin_H */
#define CY_PINS_ADCin_H

#include "cytypes.h"
#include "cyfitter.h"
#include "ADCin_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ADCin_Write(uint8 value) ;
void    ADCin_SetDriveMode(uint8 mode) ;
uint8   ADCin_ReadDataReg(void) ;
uint8   ADCin_Read(void) ;
uint8   ADCin_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ADCin_DRIVE_MODE_BITS        (3)
#define ADCin_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - ADCin_DRIVE_MODE_BITS))

#define ADCin_DM_ALG_HIZ         (0x00u)
#define ADCin_DM_DIG_HIZ         (0x01u)
#define ADCin_DM_RES_UP          (0x02u)
#define ADCin_DM_RES_DWN         (0x03u)
#define ADCin_DM_OD_LO           (0x04u)
#define ADCin_DM_OD_HI           (0x05u)
#define ADCin_DM_STRONG          (0x06u)
#define ADCin_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define ADCin_MASK               ADCin__MASK
#define ADCin_SHIFT              ADCin__SHIFT
#define ADCin_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ADCin_PS                     (* (reg32 *) ADCin__PS)
/* Port Configuration */
#define ADCin_PC                     (* (reg32 *) ADCin__PC)
/* Data Register */
#define ADCin_DR                     (* (reg32 *) ADCin__DR)
/* Input Buffer Disable Override */
#define ADCin_INP_DIS                (* (reg32 *) ADCin__PC2)


#if defined(ADCin__INTSTAT)  /* Interrupt Registers */

    #define ADCin_INTSTAT                (* (reg32 *) ADCin__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define ADCin_DRIVE_MODE_SHIFT       (0x00u)
#define ADCin_DRIVE_MODE_MASK        (0x07u << ADCin_DRIVE_MODE_SHIFT)


#endif /* End Pins ADCin_H */


/* [] END OF FILE */
