/*******************************************************************************
* File Name: AmpBuf.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AmpBuf_H) /* Pins AmpBuf_H */
#define CY_PINS_AmpBuf_H

#include "cytypes.h"
#include "cyfitter.h"
#include "AmpBuf_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AmpBuf_Write(uint8 value) ;
void    AmpBuf_SetDriveMode(uint8 mode) ;
uint8   AmpBuf_ReadDataReg(void) ;
uint8   AmpBuf_Read(void) ;
uint8   AmpBuf_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AmpBuf_DRIVE_MODE_BITS        (3)
#define AmpBuf_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - AmpBuf_DRIVE_MODE_BITS))

#define AmpBuf_DM_ALG_HIZ         (0x00u)
#define AmpBuf_DM_DIG_HIZ         (0x01u)
#define AmpBuf_DM_RES_UP          (0x02u)
#define AmpBuf_DM_RES_DWN         (0x03u)
#define AmpBuf_DM_OD_LO           (0x04u)
#define AmpBuf_DM_OD_HI           (0x05u)
#define AmpBuf_DM_STRONG          (0x06u)
#define AmpBuf_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define AmpBuf_MASK               AmpBuf__MASK
#define AmpBuf_SHIFT              AmpBuf__SHIFT
#define AmpBuf_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AmpBuf_PS                     (* (reg32 *) AmpBuf__PS)
/* Port Configuration */
#define AmpBuf_PC                     (* (reg32 *) AmpBuf__PC)
/* Data Register */
#define AmpBuf_DR                     (* (reg32 *) AmpBuf__DR)
/* Input Buffer Disable Override */
#define AmpBuf_INP_DIS                (* (reg32 *) AmpBuf__PC2)


#if defined(AmpBuf__INTSTAT)  /* Interrupt Registers */

    #define AmpBuf_INTSTAT                (* (reg32 *) AmpBuf__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define AmpBuf_DRIVE_MODE_SHIFT       (0x00u)
#define AmpBuf_DRIVE_MODE_MASK        (0x07u << AmpBuf_DRIVE_MODE_SHIFT)


#endif /* End Pins AmpBuf_H */


/* [] END OF FILE */
