/*******************************************************************************
* File Name: AmpBuf23.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AmpBuf23_H) /* Pins AmpBuf23_H */
#define CY_PINS_AmpBuf23_H

#include "cytypes.h"
#include "cyfitter.h"
#include "AmpBuf23_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AmpBuf23_Write(uint8 value) ;
void    AmpBuf23_SetDriveMode(uint8 mode) ;
uint8   AmpBuf23_ReadDataReg(void) ;
uint8   AmpBuf23_Read(void) ;
uint8   AmpBuf23_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AmpBuf23_DRIVE_MODE_BITS        (3)
#define AmpBuf23_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - AmpBuf23_DRIVE_MODE_BITS))

#define AmpBuf23_DM_ALG_HIZ         (0x00u)
#define AmpBuf23_DM_DIG_HIZ         (0x01u)
#define AmpBuf23_DM_RES_UP          (0x02u)
#define AmpBuf23_DM_RES_DWN         (0x03u)
#define AmpBuf23_DM_OD_LO           (0x04u)
#define AmpBuf23_DM_OD_HI           (0x05u)
#define AmpBuf23_DM_STRONG          (0x06u)
#define AmpBuf23_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define AmpBuf23_MASK               AmpBuf23__MASK
#define AmpBuf23_SHIFT              AmpBuf23__SHIFT
#define AmpBuf23_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AmpBuf23_PS                     (* (reg32 *) AmpBuf23__PS)
/* Port Configuration */
#define AmpBuf23_PC                     (* (reg32 *) AmpBuf23__PC)
/* Data Register */
#define AmpBuf23_DR                     (* (reg32 *) AmpBuf23__DR)
/* Input Buffer Disable Override */
#define AmpBuf23_INP_DIS                (* (reg32 *) AmpBuf23__PC2)


#if defined(AmpBuf23__INTSTAT)  /* Interrupt Registers */

    #define AmpBuf23_INTSTAT                (* (reg32 *) AmpBuf23__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define AmpBuf23_DRIVE_MODE_SHIFT       (0x00u)
#define AmpBuf23_DRIVE_MODE_MASK        (0x07u << AmpBuf23_DRIVE_MODE_SHIFT)


#endif /* End Pins AmpBuf23_H */


/* [] END OF FILE */
