/*******************************************************************************
* File Name: AmpOut.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AmpOut_H) /* Pins AmpOut_H */
#define CY_PINS_AmpOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "AmpOut_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AmpOut_Write(uint8 value) ;
void    AmpOut_SetDriveMode(uint8 mode) ;
uint8   AmpOut_ReadDataReg(void) ;
uint8   AmpOut_Read(void) ;
uint8   AmpOut_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AmpOut_DRIVE_MODE_BITS        (3)
#define AmpOut_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - AmpOut_DRIVE_MODE_BITS))

#define AmpOut_DM_ALG_HIZ         (0x00u)
#define AmpOut_DM_DIG_HIZ         (0x01u)
#define AmpOut_DM_RES_UP          (0x02u)
#define AmpOut_DM_RES_DWN         (0x03u)
#define AmpOut_DM_OD_LO           (0x04u)
#define AmpOut_DM_OD_HI           (0x05u)
#define AmpOut_DM_STRONG          (0x06u)
#define AmpOut_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define AmpOut_MASK               AmpOut__MASK
#define AmpOut_SHIFT              AmpOut__SHIFT
#define AmpOut_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AmpOut_PS                     (* (reg32 *) AmpOut__PS)
/* Port Configuration */
#define AmpOut_PC                     (* (reg32 *) AmpOut__PC)
/* Data Register */
#define AmpOut_DR                     (* (reg32 *) AmpOut__DR)
/* Input Buffer Disable Override */
#define AmpOut_INP_DIS                (* (reg32 *) AmpOut__PC2)


#if defined(AmpOut__INTSTAT)  /* Interrupt Registers */

    #define AmpOut_INTSTAT                (* (reg32 *) AmpOut__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define AmpOut_DRIVE_MODE_SHIFT       (0x00u)
#define AmpOut_DRIVE_MODE_MASK        (0x07u << AmpOut_DRIVE_MODE_SHIFT)


#endif /* End Pins AmpOut_H */


/* [] END OF FILE */
