/*******************************************************************************
* File Name: AmpOut25.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AmpOut25_H) /* Pins AmpOut25_H */
#define CY_PINS_AmpOut25_H

#include "cytypes.h"
#include "cyfitter.h"
#include "AmpOut25_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AmpOut25_Write(uint8 value) ;
void    AmpOut25_SetDriveMode(uint8 mode) ;
uint8   AmpOut25_ReadDataReg(void) ;
uint8   AmpOut25_Read(void) ;
uint8   AmpOut25_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AmpOut25_DRIVE_MODE_BITS        (3)
#define AmpOut25_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - AmpOut25_DRIVE_MODE_BITS))

#define AmpOut25_DM_ALG_HIZ         (0x00u)
#define AmpOut25_DM_DIG_HIZ         (0x01u)
#define AmpOut25_DM_RES_UP          (0x02u)
#define AmpOut25_DM_RES_DWN         (0x03u)
#define AmpOut25_DM_OD_LO           (0x04u)
#define AmpOut25_DM_OD_HI           (0x05u)
#define AmpOut25_DM_STRONG          (0x06u)
#define AmpOut25_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define AmpOut25_MASK               AmpOut25__MASK
#define AmpOut25_SHIFT              AmpOut25__SHIFT
#define AmpOut25_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AmpOut25_PS                     (* (reg32 *) AmpOut25__PS)
/* Port Configuration */
#define AmpOut25_PC                     (* (reg32 *) AmpOut25__PC)
/* Data Register */
#define AmpOut25_DR                     (* (reg32 *) AmpOut25__DR)
/* Input Buffer Disable Override */
#define AmpOut25_INP_DIS                (* (reg32 *) AmpOut25__PC2)


#if defined(AmpOut25__INTSTAT)  /* Interrupt Registers */

    #define AmpOut25_INTSTAT                (* (reg32 *) AmpOut25__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define AmpOut25_DRIVE_MODE_SHIFT       (0x00u)
#define AmpOut25_DRIVE_MODE_MASK        (0x07u << AmpOut25_DRIVE_MODE_SHIFT)


#endif /* End Pins AmpOut25_H */


/* [] END OF FILE */
