/*******************************************************************************
* File Name: AmpRef.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AmpRef_H) /* Pins AmpRef_H */
#define CY_PINS_AmpRef_H

#include "cytypes.h"
#include "cyfitter.h"
#include "AmpRef_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AmpRef_Write(uint8 value) ;
void    AmpRef_SetDriveMode(uint8 mode) ;
uint8   AmpRef_ReadDataReg(void) ;
uint8   AmpRef_Read(void) ;
uint8   AmpRef_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AmpRef_DRIVE_MODE_BITS        (3)
#define AmpRef_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - AmpRef_DRIVE_MODE_BITS))

#define AmpRef_DM_ALG_HIZ         (0x00u)
#define AmpRef_DM_DIG_HIZ         (0x01u)
#define AmpRef_DM_RES_UP          (0x02u)
#define AmpRef_DM_RES_DWN         (0x03u)
#define AmpRef_DM_OD_LO           (0x04u)
#define AmpRef_DM_OD_HI           (0x05u)
#define AmpRef_DM_STRONG          (0x06u)
#define AmpRef_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define AmpRef_MASK               AmpRef__MASK
#define AmpRef_SHIFT              AmpRef__SHIFT
#define AmpRef_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AmpRef_PS                     (* (reg32 *) AmpRef__PS)
/* Port Configuration */
#define AmpRef_PC                     (* (reg32 *) AmpRef__PC)
/* Data Register */
#define AmpRef_DR                     (* (reg32 *) AmpRef__DR)
/* Input Buffer Disable Override */
#define AmpRef_INP_DIS                (* (reg32 *) AmpRef__PC2)


#if defined(AmpRef__INTSTAT)  /* Interrupt Registers */

    #define AmpRef_INTSTAT                (* (reg32 *) AmpRef__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define AmpRef_DRIVE_MODE_SHIFT       (0x00u)
#define AmpRef_DRIVE_MODE_MASK        (0x07u << AmpRef_DRIVE_MODE_SHIFT)


#endif /* End Pins AmpRef_H */


/* [] END OF FILE */
