/*******************************************************************************
* File Name: AmpRef26.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AmpRef26_H) /* Pins AmpRef26_H */
#define CY_PINS_AmpRef26_H

#include "cytypes.h"
#include "cyfitter.h"
#include "AmpRef26_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AmpRef26_Write(uint8 value) ;
void    AmpRef26_SetDriveMode(uint8 mode) ;
uint8   AmpRef26_ReadDataReg(void) ;
uint8   AmpRef26_Read(void) ;
uint8   AmpRef26_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AmpRef26_DRIVE_MODE_BITS        (3)
#define AmpRef26_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - AmpRef26_DRIVE_MODE_BITS))

#define AmpRef26_DM_ALG_HIZ         (0x00u)
#define AmpRef26_DM_DIG_HIZ         (0x01u)
#define AmpRef26_DM_RES_UP          (0x02u)
#define AmpRef26_DM_RES_DWN         (0x03u)
#define AmpRef26_DM_OD_LO           (0x04u)
#define AmpRef26_DM_OD_HI           (0x05u)
#define AmpRef26_DM_STRONG          (0x06u)
#define AmpRef26_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define AmpRef26_MASK               AmpRef26__MASK
#define AmpRef26_SHIFT              AmpRef26__SHIFT
#define AmpRef26_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AmpRef26_PS                     (* (reg32 *) AmpRef26__PS)
/* Port Configuration */
#define AmpRef26_PC                     (* (reg32 *) AmpRef26__PC)
/* Data Register */
#define AmpRef26_DR                     (* (reg32 *) AmpRef26__DR)
/* Input Buffer Disable Override */
#define AmpRef26_INP_DIS                (* (reg32 *) AmpRef26__PC2)


#if defined(AmpRef26__INTSTAT)  /* Interrupt Registers */

    #define AmpRef26_INTSTAT                (* (reg32 *) AmpRef26__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define AmpRef26_DRIVE_MODE_SHIFT       (0x00u)
#define AmpRef26_DRIVE_MODE_MASK        (0x07u << AmpRef26_DRIVE_MODE_SHIFT)


#endif /* End Pins AmpRef26_H */


/* [] END OF FILE */
