/*******************************************************************************
* File Name: LEDLCSB21.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LEDLCSB21_H) /* Pins LEDLCSB21_H */
#define CY_PINS_LEDLCSB21_H

#include "cytypes.h"
#include "cyfitter.h"
#include "LEDLCSB21_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LEDLCSB21_Write(uint8 value) ;
void    LEDLCSB21_SetDriveMode(uint8 mode) ;
uint8   LEDLCSB21_ReadDataReg(void) ;
uint8   LEDLCSB21_Read(void) ;
uint8   LEDLCSB21_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LEDLCSB21_DRIVE_MODE_BITS        (3)
#define LEDLCSB21_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - LEDLCSB21_DRIVE_MODE_BITS))

#define LEDLCSB21_DM_ALG_HIZ         (0x00u)
#define LEDLCSB21_DM_DIG_HIZ         (0x01u)
#define LEDLCSB21_DM_RES_UP          (0x02u)
#define LEDLCSB21_DM_RES_DWN         (0x03u)
#define LEDLCSB21_DM_OD_LO           (0x04u)
#define LEDLCSB21_DM_OD_HI           (0x05u)
#define LEDLCSB21_DM_STRONG          (0x06u)
#define LEDLCSB21_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define LEDLCSB21_MASK               LEDLCSB21__MASK
#define LEDLCSB21_SHIFT              LEDLCSB21__SHIFT
#define LEDLCSB21_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LEDLCSB21_PS                     (* (reg32 *) LEDLCSB21__PS)
/* Port Configuration */
#define LEDLCSB21_PC                     (* (reg32 *) LEDLCSB21__PC)
/* Data Register */
#define LEDLCSB21_DR                     (* (reg32 *) LEDLCSB21__DR)
/* Input Buffer Disable Override */
#define LEDLCSB21_INP_DIS                (* (reg32 *) LEDLCSB21__PC2)


#if defined(LEDLCSB21__INTSTAT)  /* Interrupt Registers */

    #define LEDLCSB21_INTSTAT                (* (reg32 *) LEDLCSB21__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define LEDLCSB21_DRIVE_MODE_SHIFT       (0x00u)
#define LEDLCSB21_DRIVE_MODE_MASK        (0x07u << LEDLCSB21_DRIVE_MODE_SHIFT)


#endif /* End Pins LEDLCSB21_H */


/* [] END OF FILE */
