/*******************************************************************************
* File Name: LSDI.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LSDI_ALIASES_H) /* Pins LSDI_ALIASES_H */
#define CY_PINS_LSDI_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define LSDI_0			(LSDI__0__PC)
#define LSDI_0_PS		(LSDI__0__PS)
#define LSDI_0_PC		(LSDI__0__PC)
#define LSDI_0_DR		(LSDI__0__DR)
#define LSDI_0_SHIFT	(LSDI__0__SHIFT)
#define LSDI_0_INTR	((uint16)((uint16)0x0003u << (LSDI__0__SHIFT*2u)))

#define LSDI_INTR_ALL	 ((uint16)(LSDI_0_INTR))


#endif /* End Pins LSDI_ALIASES_H */


/* [] END OF FILE */
