/*******************************************************************************
* File Name: Mux_3.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Mux_3_H) /* Pins Mux_3_H */
#define CY_PINS_Mux_3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Mux_3_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Mux_3_Write(uint8 value) ;
void    Mux_3_SetDriveMode(uint8 mode) ;
uint8   Mux_3_ReadDataReg(void) ;
uint8   Mux_3_Read(void) ;
uint8   Mux_3_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Mux_3_DRIVE_MODE_BITS        (3)
#define Mux_3_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Mux_3_DRIVE_MODE_BITS))

#define Mux_3_DM_ALG_HIZ         (0x00u)
#define Mux_3_DM_DIG_HIZ         (0x01u)
#define Mux_3_DM_RES_UP          (0x02u)
#define Mux_3_DM_RES_DWN         (0x03u)
#define Mux_3_DM_OD_LO           (0x04u)
#define Mux_3_DM_OD_HI           (0x05u)
#define Mux_3_DM_STRONG          (0x06u)
#define Mux_3_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define Mux_3_MASK               Mux_3__MASK
#define Mux_3_SHIFT              Mux_3__SHIFT
#define Mux_3_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Mux_3_PS                     (* (reg32 *) Mux_3__PS)
/* Port Configuration */
#define Mux_3_PC                     (* (reg32 *) Mux_3__PC)
/* Data Register */
#define Mux_3_DR                     (* (reg32 *) Mux_3__DR)
/* Input Buffer Disable Override */
#define Mux_3_INP_DIS                (* (reg32 *) Mux_3__PC2)


#if defined(Mux_3__INTSTAT)  /* Interrupt Registers */

    #define Mux_3_INTSTAT                (* (reg32 *) Mux_3__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define Mux_3_DRIVE_MODE_SHIFT       (0x00u)
#define Mux_3_DRIVE_MODE_MASK        (0x07u << Mux_3_DRIVE_MODE_SHIFT)


#endif /* End Pins Mux_3_H */


/* [] END OF FILE */
