/*******************************************************************************
* File Name: NegADC.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_NegADC_H) /* Pins NegADC_H */
#define CY_PINS_NegADC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "NegADC_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    NegADC_Write(uint8 value) ;
void    NegADC_SetDriveMode(uint8 mode) ;
uint8   NegADC_ReadDataReg(void) ;
uint8   NegADC_Read(void) ;
uint8   NegADC_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define NegADC_DRIVE_MODE_BITS        (3)
#define NegADC_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - NegADC_DRIVE_MODE_BITS))

#define NegADC_DM_ALG_HIZ         (0x00u)
#define NegADC_DM_DIG_HIZ         (0x01u)
#define NegADC_DM_RES_UP          (0x02u)
#define NegADC_DM_RES_DWN         (0x03u)
#define NegADC_DM_OD_LO           (0x04u)
#define NegADC_DM_OD_HI           (0x05u)
#define NegADC_DM_STRONG          (0x06u)
#define NegADC_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define NegADC_MASK               NegADC__MASK
#define NegADC_SHIFT              NegADC__SHIFT
#define NegADC_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define NegADC_PS                     (* (reg32 *) NegADC__PS)
/* Port Configuration */
#define NegADC_PC                     (* (reg32 *) NegADC__PC)
/* Data Register */
#define NegADC_DR                     (* (reg32 *) NegADC__DR)
/* Input Buffer Disable Override */
#define NegADC_INP_DIS                (* (reg32 *) NegADC__PC2)


#if defined(NegADC__INTSTAT)  /* Interrupt Registers */

    #define NegADC_INTSTAT                (* (reg32 *) NegADC__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define NegADC_DRIVE_MODE_SHIFT       (0x00u)
#define NegADC_DRIVE_MODE_MASK        (0x07u << NegADC_DRIVE_MODE_SHIFT)


#endif /* End Pins NegADC_H */


/* [] END OF FILE */
