/*******************************************************************************
* File Name: NegBiasPlus.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_NegBiasPlus_H) /* Pins NegBiasPlus_H */
#define CY_PINS_NegBiasPlus_H

#include "cytypes.h"
#include "cyfitter.h"
#include "NegBiasPlus_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    NegBiasPlus_Write(uint8 value) ;
void    NegBiasPlus_SetDriveMode(uint8 mode) ;
uint8   NegBiasPlus_ReadDataReg(void) ;
uint8   NegBiasPlus_Read(void) ;
uint8   NegBiasPlus_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define NegBiasPlus_DRIVE_MODE_BITS        (3)
#define NegBiasPlus_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - NegBiasPlus_DRIVE_MODE_BITS))

#define NegBiasPlus_DM_ALG_HIZ         (0x00u)
#define NegBiasPlus_DM_DIG_HIZ         (0x01u)
#define NegBiasPlus_DM_RES_UP          (0x02u)
#define NegBiasPlus_DM_RES_DWN         (0x03u)
#define NegBiasPlus_DM_OD_LO           (0x04u)
#define NegBiasPlus_DM_OD_HI           (0x05u)
#define NegBiasPlus_DM_STRONG          (0x06u)
#define NegBiasPlus_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define NegBiasPlus_MASK               NegBiasPlus__MASK
#define NegBiasPlus_SHIFT              NegBiasPlus__SHIFT
#define NegBiasPlus_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define NegBiasPlus_PS                     (* (reg32 *) NegBiasPlus__PS)
/* Port Configuration */
#define NegBiasPlus_PC                     (* (reg32 *) NegBiasPlus__PC)
/* Data Register */
#define NegBiasPlus_DR                     (* (reg32 *) NegBiasPlus__DR)
/* Input Buffer Disable Override */
#define NegBiasPlus_INP_DIS                (* (reg32 *) NegBiasPlus__PC2)


#if defined(NegBiasPlus__INTSTAT)  /* Interrupt Registers */

    #define NegBiasPlus_INTSTAT                (* (reg32 *) NegBiasPlus__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define NegBiasPlus_DRIVE_MODE_SHIFT       (0x00u)
#define NegBiasPlus_DRIVE_MODE_MASK        (0x07u << NegBiasPlus_DRIVE_MODE_SHIFT)


#endif /* End Pins NegBiasPlus_H */


/* [] END OF FILE */
