/*******************************************************************************
* File Name: NegFilter.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_NegFilter_H) /* Pins NegFilter_H */
#define CY_PINS_NegFilter_H

#include "cytypes.h"
#include "cyfitter.h"
#include "NegFilter_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    NegFilter_Write(uint8 value) ;
void    NegFilter_SetDriveMode(uint8 mode) ;
uint8   NegFilter_ReadDataReg(void) ;
uint8   NegFilter_Read(void) ;
uint8   NegFilter_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define NegFilter_DRIVE_MODE_BITS        (3)
#define NegFilter_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - NegFilter_DRIVE_MODE_BITS))

#define NegFilter_DM_ALG_HIZ         (0x00u)
#define NegFilter_DM_DIG_HIZ         (0x01u)
#define NegFilter_DM_RES_UP          (0x02u)
#define NegFilter_DM_RES_DWN         (0x03u)
#define NegFilter_DM_OD_LO           (0x04u)
#define NegFilter_DM_OD_HI           (0x05u)
#define NegFilter_DM_STRONG          (0x06u)
#define NegFilter_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define NegFilter_MASK               NegFilter__MASK
#define NegFilter_SHIFT              NegFilter__SHIFT
#define NegFilter_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define NegFilter_PS                     (* (reg32 *) NegFilter__PS)
/* Port Configuration */
#define NegFilter_PC                     (* (reg32 *) NegFilter__PC)
/* Data Register */
#define NegFilter_DR                     (* (reg32 *) NegFilter__DR)
/* Input Buffer Disable Override */
#define NegFilter_INP_DIS                (* (reg32 *) NegFilter__PC2)


#if defined(NegFilter__INTSTAT)  /* Interrupt Registers */

    #define NegFilter_INTSTAT                (* (reg32 *) NegFilter__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define NegFilter_DRIVE_MODE_SHIFT       (0x00u)
#define NegFilter_DRIVE_MODE_MASK        (0x07u << NegFilter_DRIVE_MODE_SHIFT)


#endif /* End Pins NegFilter_H */


/* [] END OF FILE */
