/*******************************************************************************
* File Name: PosADC.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PosADC_H) /* Pins PosADC_H */
#define CY_PINS_PosADC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "PosADC_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PosADC_Write(uint8 value) ;
void    PosADC_SetDriveMode(uint8 mode) ;
uint8   PosADC_ReadDataReg(void) ;
uint8   PosADC_Read(void) ;
uint8   PosADC_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PosADC_DRIVE_MODE_BITS        (3)
#define PosADC_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - PosADC_DRIVE_MODE_BITS))

#define PosADC_DM_ALG_HIZ         (0x00u)
#define PosADC_DM_DIG_HIZ         (0x01u)
#define PosADC_DM_RES_UP          (0x02u)
#define PosADC_DM_RES_DWN         (0x03u)
#define PosADC_DM_OD_LO           (0x04u)
#define PosADC_DM_OD_HI           (0x05u)
#define PosADC_DM_STRONG          (0x06u)
#define PosADC_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define PosADC_MASK               PosADC__MASK
#define PosADC_SHIFT              PosADC__SHIFT
#define PosADC_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PosADC_PS                     (* (reg32 *) PosADC__PS)
/* Port Configuration */
#define PosADC_PC                     (* (reg32 *) PosADC__PC)
/* Data Register */
#define PosADC_DR                     (* (reg32 *) PosADC__DR)
/* Input Buffer Disable Override */
#define PosADC_INP_DIS                (* (reg32 *) PosADC__PC2)


#if defined(PosADC__INTSTAT)  /* Interrupt Registers */

    #define PosADC_INTSTAT                (* (reg32 *) PosADC__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define PosADC_DRIVE_MODE_SHIFT       (0x00u)
#define PosADC_DRIVE_MODE_MASK        (0x07u << PosADC_DRIVE_MODE_SHIFT)


#endif /* End Pins PosADC_H */


/* [] END OF FILE */
