/*******************************************************************************
* File Name: PosBiasNeg.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PosBiasNeg_H) /* Pins PosBiasNeg_H */
#define CY_PINS_PosBiasNeg_H

#include "cytypes.h"
#include "cyfitter.h"
#include "PosBiasNeg_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PosBiasNeg_Write(uint8 value) ;
void    PosBiasNeg_SetDriveMode(uint8 mode) ;
uint8   PosBiasNeg_ReadDataReg(void) ;
uint8   PosBiasNeg_Read(void) ;
uint8   PosBiasNeg_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PosBiasNeg_DRIVE_MODE_BITS        (3)
#define PosBiasNeg_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - PosBiasNeg_DRIVE_MODE_BITS))

#define PosBiasNeg_DM_ALG_HIZ         (0x00u)
#define PosBiasNeg_DM_DIG_HIZ         (0x01u)
#define PosBiasNeg_DM_RES_UP          (0x02u)
#define PosBiasNeg_DM_RES_DWN         (0x03u)
#define PosBiasNeg_DM_OD_LO           (0x04u)
#define PosBiasNeg_DM_OD_HI           (0x05u)
#define PosBiasNeg_DM_STRONG          (0x06u)
#define PosBiasNeg_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define PosBiasNeg_MASK               PosBiasNeg__MASK
#define PosBiasNeg_SHIFT              PosBiasNeg__SHIFT
#define PosBiasNeg_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PosBiasNeg_PS                     (* (reg32 *) PosBiasNeg__PS)
/* Port Configuration */
#define PosBiasNeg_PC                     (* (reg32 *) PosBiasNeg__PC)
/* Data Register */
#define PosBiasNeg_DR                     (* (reg32 *) PosBiasNeg__DR)
/* Input Buffer Disable Override */
#define PosBiasNeg_INP_DIS                (* (reg32 *) PosBiasNeg__PC2)


#if defined(PosBiasNeg__INTSTAT)  /* Interrupt Registers */

    #define PosBiasNeg_INTSTAT                (* (reg32 *) PosBiasNeg__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define PosBiasNeg_DRIVE_MODE_SHIFT       (0x00u)
#define PosBiasNeg_DRIVE_MODE_MASK        (0x07u << PosBiasNeg_DRIVE_MODE_SHIFT)


#endif /* End Pins PosBiasNeg_H */


/* [] END OF FILE */
