/*******************************************************************************
* File Name: PosBiasPlus.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PosBiasPlus_H) /* Pins PosBiasPlus_H */
#define CY_PINS_PosBiasPlus_H

#include "cytypes.h"
#include "cyfitter.h"
#include "PosBiasPlus_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PosBiasPlus_Write(uint8 value) ;
void    PosBiasPlus_SetDriveMode(uint8 mode) ;
uint8   PosBiasPlus_ReadDataReg(void) ;
uint8   PosBiasPlus_Read(void) ;
uint8   PosBiasPlus_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PosBiasPlus_DRIVE_MODE_BITS        (3)
#define PosBiasPlus_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - PosBiasPlus_DRIVE_MODE_BITS))

#define PosBiasPlus_DM_ALG_HIZ         (0x00u)
#define PosBiasPlus_DM_DIG_HIZ         (0x01u)
#define PosBiasPlus_DM_RES_UP          (0x02u)
#define PosBiasPlus_DM_RES_DWN         (0x03u)
#define PosBiasPlus_DM_OD_LO           (0x04u)
#define PosBiasPlus_DM_OD_HI           (0x05u)
#define PosBiasPlus_DM_STRONG          (0x06u)
#define PosBiasPlus_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define PosBiasPlus_MASK               PosBiasPlus__MASK
#define PosBiasPlus_SHIFT              PosBiasPlus__SHIFT
#define PosBiasPlus_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PosBiasPlus_PS                     (* (reg32 *) PosBiasPlus__PS)
/* Port Configuration */
#define PosBiasPlus_PC                     (* (reg32 *) PosBiasPlus__PC)
/* Data Register */
#define PosBiasPlus_DR                     (* (reg32 *) PosBiasPlus__DR)
/* Input Buffer Disable Override */
#define PosBiasPlus_INP_DIS                (* (reg32 *) PosBiasPlus__PC2)


#if defined(PosBiasPlus__INTSTAT)  /* Interrupt Registers */

    #define PosBiasPlus_INTSTAT                (* (reg32 *) PosBiasPlus__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define PosBiasPlus_DRIVE_MODE_SHIFT       (0x00u)
#define PosBiasPlus_DRIVE_MODE_MASK        (0x07u << PosBiasPlus_DRIVE_MODE_SHIFT)


#endif /* End Pins PosBiasPlus_H */


/* [] END OF FILE */
