/*******************************************************************************
* File Name: PosFilter.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PosFilter_H) /* Pins PosFilter_H */
#define CY_PINS_PosFilter_H

#include "cytypes.h"
#include "cyfitter.h"
#include "PosFilter_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PosFilter_Write(uint8 value) ;
void    PosFilter_SetDriveMode(uint8 mode) ;
uint8   PosFilter_ReadDataReg(void) ;
uint8   PosFilter_Read(void) ;
uint8   PosFilter_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PosFilter_DRIVE_MODE_BITS        (3)
#define PosFilter_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - PosFilter_DRIVE_MODE_BITS))

#define PosFilter_DM_ALG_HIZ         (0x00u)
#define PosFilter_DM_DIG_HIZ         (0x01u)
#define PosFilter_DM_RES_UP          (0x02u)
#define PosFilter_DM_RES_DWN         (0x03u)
#define PosFilter_DM_OD_LO           (0x04u)
#define PosFilter_DM_OD_HI           (0x05u)
#define PosFilter_DM_STRONG          (0x06u)
#define PosFilter_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define PosFilter_MASK               PosFilter__MASK
#define PosFilter_SHIFT              PosFilter__SHIFT
#define PosFilter_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PosFilter_PS                     (* (reg32 *) PosFilter__PS)
/* Port Configuration */
#define PosFilter_PC                     (* (reg32 *) PosFilter__PC)
/* Data Register */
#define PosFilter_DR                     (* (reg32 *) PosFilter__DR)
/* Input Buffer Disable Override */
#define PosFilter_INP_DIS                (* (reg32 *) PosFilter__PC2)


#if defined(PosFilter__INTSTAT)  /* Interrupt Registers */

    #define PosFilter_INTSTAT                (* (reg32 *) PosFilter__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define PosFilter_DRIVE_MODE_SHIFT       (0x00u)
#define PosFilter_DRIVE_MODE_MASK        (0x07u << PosFilter_DRIVE_MODE_SHIFT)


#endif /* End Pins PosFilter_H */


/* [] END OF FILE */
