/*******************************************************************************
* File Name: RefBuf.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RefBuf_H) /* Pins RefBuf_H */
#define CY_PINS_RefBuf_H

#include "cytypes.h"
#include "cyfitter.h"
#include "RefBuf_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    RefBuf_Write(uint8 value) ;
void    RefBuf_SetDriveMode(uint8 mode) ;
uint8   RefBuf_ReadDataReg(void) ;
uint8   RefBuf_Read(void) ;
uint8   RefBuf_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define RefBuf_DRIVE_MODE_BITS        (3)
#define RefBuf_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - RefBuf_DRIVE_MODE_BITS))

#define RefBuf_DM_ALG_HIZ         (0x00u)
#define RefBuf_DM_DIG_HIZ         (0x01u)
#define RefBuf_DM_RES_UP          (0x02u)
#define RefBuf_DM_RES_DWN         (0x03u)
#define RefBuf_DM_OD_LO           (0x04u)
#define RefBuf_DM_OD_HI           (0x05u)
#define RefBuf_DM_STRONG          (0x06u)
#define RefBuf_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define RefBuf_MASK               RefBuf__MASK
#define RefBuf_SHIFT              RefBuf__SHIFT
#define RefBuf_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RefBuf_PS                     (* (reg32 *) RefBuf__PS)
/* Port Configuration */
#define RefBuf_PC                     (* (reg32 *) RefBuf__PC)
/* Data Register */
#define RefBuf_DR                     (* (reg32 *) RefBuf__DR)
/* Input Buffer Disable Override */
#define RefBuf_INP_DIS                (* (reg32 *) RefBuf__PC2)


#if defined(RefBuf__INTSTAT)  /* Interrupt Registers */

    #define RefBuf_INTSTAT                (* (reg32 *) RefBuf__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define RefBuf_DRIVE_MODE_SHIFT       (0x00u)
#define RefBuf_DRIVE_MODE_MASK        (0x07u << RefBuf_DRIVE_MODE_SHIFT)


#endif /* End Pins RefBuf_H */


/* [] END OF FILE */
