/*******************************************************************************
* File Name: SleepWake.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_SleepWake_H)
#define CY_ISR_SleepWake_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void SleepWake_Start(void);
void SleepWake_StartEx(cyisraddress address);
void SleepWake_Stop(void);

CY_ISR_PROTO(SleepWake_Interrupt);

void SleepWake_SetVector(cyisraddress address);
cyisraddress SleepWake_GetVector(void);

void SleepWake_SetPriority(uint8 priority);
uint8 SleepWake_GetPriority(void);

void SleepWake_Enable(void);
uint8 SleepWake_GetState(void);
void SleepWake_Disable(void);

void SleepWake_SetPending(void);
void SleepWake_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the SleepWake ISR. */
#define SleepWake_INTC_VECTOR            ((reg32 *) SleepWake__INTC_VECT)

/* Address of the SleepWake ISR priority. */
#define SleepWake_INTC_PRIOR             ((reg32 *) SleepWake__INTC_PRIOR_REG)

/* Priority of the SleepWake interrupt. */
#define SleepWake_INTC_PRIOR_NUMBER      SleepWake__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable SleepWake interrupt. */
#define SleepWake_INTC_SET_EN            ((reg32 *) SleepWake__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the SleepWake interrupt. */
#define SleepWake_INTC_CLR_EN            ((reg32 *) SleepWake__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the SleepWake interrupt state to pending. */
#define SleepWake_INTC_SET_PD            ((reg32 *) SleepWake__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the SleepWake interrupt. */
#define SleepWake_INTC_CLR_PD            ((reg32 *) SleepWake__INTC_CLR_PD_REG)



#endif /* CY_ISR_SleepWake_H */


/* [] END OF FILE */
