/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
/*
  newhavenLCD.cpp - Library for retreiving measurement
  from LMP91200 chip via SPI. Transimpedance amplifier off.
  Pin number of inputs in class definition.
  
  Version #: 1.1
*/

#include "LCD.h"

// Data commands
byte homeCommand = 0b00000010;
byte bottomRowCommand = 0b1100000;
byte clearCommand = 0b00000001;
byte shiftLeft = 0b00000100;
byte shiftRight = 0b00000110;

void LCD(void)
{
  //pinMode(si,OUTPUT);
  //pinMode(sclp,OUTPUT);
  //pinMode(csb,OUTPUT);
  //pinMode(rs,OUTPUT);
  //pinMode(reset,OUTPUT);
  //digitalWrite(reset,HIGH);
  //digitalWrite(rs,HIGH);
  //digitalWrite(si,LOW);
  //digitalWrite(csb,LOW);
    
    LCLK_SetDriveMode(LCLK_DM_STRONG);
    LCLK_Write(LOW);
    LCSB_SetDriveMode(LCSB_DM_STRONG);
    LCSB_Write(HIGH);
    //LSDI_SetDriveMode(LSDI_DM_STRONG);
    //LSDI_Write(LOW);
    //LREG_SetDriveMode(LREG_DM_STRONG);
    //LREG_Write(HIGH);
  
    _alignment = TRUE;
}

// Function to send a character or an array of characters
void displayChar(char* input)
{
    int counter;
  if (_alignment == LEFT){
    for (counter = 0; counter <= 16; counter++){
      if (input[counter] != '\0'){
        writeChar(input[counter]);}}}
        
  if (_alignment == RIGHT){
    for (counter = 16; counter >= 0; counter--){
      if (input[counter] != '\0'){
        writeChar(input[counter]);}}}
}

// Function to send a character or an array of characters
/*
void displayChar(char* input, int length)
{
    int counter;
  digitalWrite(_csbpin,LOW); 
  if (_alignment == LEFT){
    for (counter = 0; counter <= length; counter++){
      if (input[counter] != '\0'){
        writeChar(input[counter]);}}}
        
  if (_alignment == RIGHT){
    for (counter = length; counter >= 0; counter--){
      if (input[counter] != '\0'){
        writeChar(input[counter]);}}}
        
  digitalWrite(_csbpin,HIGH);
}
*/

// Converts string for character display
// Utilizes displayChar function for character array
/*
void displayString(String input)
{
  char buffer[17] = "\0";
  input.toCharArray(buffer, 17);
  displayChar(buffer);
}
*/

// Converts float to character output for display
// Precision controls number of positions to right of decimal; maximum value of 4
// Does not display spaces or null characters
void displayFloat(float input, int precision)
{
  int counter;
  char buffer[16] = "\0";
  if (precision >= 5){
    precision = 4;}
    
  //dtostrf(input,15,precision,buffer);
  sprintf(buffer,"%f", input);
  
  if (_alignment == LEFT){
    for (counter = 0; counter <= 15; counter++){
      if (buffer[counter] != '\0' && buffer[counter] != ' '){
        writeChar(buffer[counter]);}}}
  
  if (_alignment == RIGHT){
    for (counter = 15; counter >= 0; counter--){
      if (buffer[counter] != '\0' && buffer[counter] != ' '){
        writeChar(buffer[counter]);}}}     
        
  //Serial.println();
}

void clearDisplay(void)
{
  writeCommand(clearCommand);
}

//void clearDisplay(int timeDelay)
//{
 // delay(timeDelay);
  //writeCommand(clearCommand);
//}

//Sets beginning cursor position on display (positions 0-15, 16-32)
//Positions 16-31 begin with an address value of 64 on the LCD
//Third variable (LEFT/RIGHT) sets alignment with respect to cursor
void setPosition(int row, int column, boolean pointer)
{
  _alignment = pointer;
  
  if (_alignment == LEFT){
    writeCommand(shiftRight);}
  if (_alignment == RIGHT){
    writeCommand(shiftLeft);}
  
  CyDelay(1);
  int location = column + row*64 + 128;
  writeCommand(lowByte(location));

}

// Sets display alignment & position to upper left corner
void displayHome()
{
  //digitalWrite(_csbpin,LOW);
  //delay(50);
  writeCommand(homeCommand);
  writeCommand(shiftRight);
  //digitalWrite(_csbpin,HIGH);
}

// Functions for writing data to display/serial
// RS pin set high prior to data writes
void writeChar(char value)
{
    int serialcounter;
  //digitalWrite(_csbpin,LOW);
    LCSB_Write(LOW);
  //digitalWrite(_rspin, HIGH);              // A0 = Data
    LREG_Write(HIGH);
  for(serialcounter = 1; serialcounter <= 8; serialcounter++) // send 8 bits
  {  
    if((value&0x80)==0x80)                  // get only the Most Significant Bit (MSB)
      //digitalWrite(_sipin, HIGH);           // if 1, then SI=1
    LSDI_Write(HIGH);
    else
    LSDI_Write(LOW);
      //digitalWrite(_sipin, LOW);            // if 0, then SI=0
    
    value=(value<<1);                         // shift data byte left
    LCLK_Write(LOW);
    LCLK_Write(HIGH);
    LCLK_Write(LOW);
    //digitalWrite(_sclpin, LOW);
    //digitalWrite(_sclpin, HIGH);
    //digitalWrite(_sclpin, LOW);           // SCL
  }
    LSDI_Write(LOW);
    LCSB_Write(HIGH);
  //digitalWrite(_sipin,LOW);
  //digitalWrite(_csbpin,HIGH);
}

void writeCommand(byte value)
{
   int serialcounter;
    LCSB_Write(LOW);
    LREG_Write(LOW);
  for(serialcounter = 1; serialcounter <= 8; serialcounter++)   // send 8 bits
  {
    if((value&0x80)==0x80)           // get only the Most Significant Bit (MSB)     
        LSDI_Write(HIGH);   // if 1, then SI=1
    else  
        LSDI_Write(LOW);    // if 0, then SI=0
      
    value=(value<<1);                         // shift data byte left
    LCLK_Write(LOW);
    LCLK_Write(HIGH);
    LCLK_Write(LOW);
  }

    LSDI_Write(LOW);
    LCSB_Write(HIGH);
}

void writeByte(byte value)
{
//  digitalWrite(_rspin,HIGH);
//  digitalWrite(_csbpin,LOW);
//  delay(500);
//  SPI.transfer(value);
//  Serial.write(value);
//  digitalWrite(_csbpin,HIGH);
}

void initializeDisplay()
{
  CyDelay(10);
  writeCommand(0x30);                     // wake up
  CyDelay(10);                           //added delay back.  Mantoles 01/30/13
  writeCommand(0x30);                     // wake up
  writeCommand(0x30);                     // wake up
  writeCommand(0x39);                     // function set
  writeCommand(0x14);                     // internal osc frequency
  //writeCommand(0x80);
  writeCommand(0b01110000);               // contrast 
  writeCommand(0x56);                     // power control
  writeCommand(0x6D);                     // follower control
  CyDelay(10);
  writeCommand(0x0C);                     // display on
  writeCommand(0x01);                     // clear
  CyDelay(10); 
  writeCommand(0x06);                     // entry mode
  CyDelay(10);
}

/* [] END OF FILE */
