/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
/*
  DacRef.h - Library for setting manual reference voltages
  using MCP4716 DAC. Development Board use only.
*/

#include "MCPdac.h"

#define dacAddress 0b1100000
#define onMode 0b01000000
#define offMode 0b01000110
//float vRef = 2.56;

//byte onMode = 0b01000000; // Enable DAC, requires subsequent data for output voltage
                         // VREF = VDD or VCC, 1x Gain; write volatile memory only
//byte offMode = 0b01000110; // Disable DAC

// Class call, input is voltage of VCC or VDD on applicable board
void DacRef(float dacRefV)
{
  _dacref = dacRefV;
}

//Sets output voltage and turns on DAC IC
void enableOutput(float setVoltage)
{
  uint16_t voltageOut = (uint16_t)(setVoltage/_dacref)*1024;
  voltageOut = voltageOut << 6;
  write16(dacAddress,onMode,voltageOut);
  
  //Wire.beginTransmission(dacAddress);
  //Wire.write(onMode);
  //Wire.write(highByte(voltageOut));
  //Wire.write(lowByte(voltageOut));
  //Wire.endTransmission();
}

//Disables DAC output and pulls output to ground through 500kOhm resistor
void shutDown()
{
  write16(dacAddress,offMode,0);
  //Wire.beginTransmission(dacAddress);
  //Wire.write(offMode);
  //Wire.endTransmission();
}

//Reads & returns voltage from DAC via Atmega pin #
//float readVoltage(byte pin)
//{
 // float voltageRefIn = analogRead(pin) * (vRef / 1024);
//  return voltageRefIn;
//}

/* [] END OF FILE */
