/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#ifndef DEFINE_H
#define DEFINE_H
 
#include  <stdlib.h>
#include  <common.h>
#include  <string.h>
#include  <math.h>
 
#define  HIGH      0x1
#define  LOW       0x0
    
#define  RISING    0x0
#define  FALLING   0x1

#define  CHANGE    0x0
#define  NOCHANGE  0x1
 
#define  INPUT     0x0
#define  OUTPUT    0x1
 
#define  TRUE      0x1
#define  FALSE     0x0
 
#define  PI           3.1415926535897932384626433832795
#define  HALF_PI      1.5707963267948966192313216916398
#define  TWO_PI       6.283185307179586476925286766559
#define  DEG_TO_RAD   0.017453292519943295769236907684886
#define  RAD_TO_DEG   57.295779513082320876798154814105
 
#define  min(a,b)  ((a)<(b)?(a):(b))
#define  max(a,b)  ((a)>(b)?(a):(b))
#define  abs(x)    ((x)>0?(x):-(x))
#define  constrain(amt,low,high)  ((amt)<(low)?(low):((amt)>(high)?(high):(amt)))
#define  round(x)  ((x)>=0?(long)((x)+0.5):(long)((x)-0.5))
#define  radians(deg)  ((deg)*DEG_TO_RAD)
#define  degrees(rad)  ((rad)*RAD_TO_DEG)
#define  sq(x)     ((x)*(x))
 
#define  lowByte(w)   ((uint8_t) ((w) & 0xff))
#define  highByte(w)  ((uint8_t) ((w) >> 8))
 
#define  bitRead(value, bit)  (((value) >> (bit)) & 0x01)
#define  bitSet(value, bit)   ((value) |= (1UL << (bit)))
#define  bitClear(value, bit) ((value) &= ~(1UL << (bit)))
#define  bitWrite(value, bit, bitvalue)  (bitvalue ? bitSet(value, bit) : bitClear(value, bit))
 
typedef  unsigned  int  word;
 
#define  bit(b) (1UL << (b))
 
typedef  uint8_t  boolean;
typedef  uint8_t  byte;
 
#endif
/* [] END OF FILE */
